require 'source/utils/text'

-- WORLD 3: GREEN

levels[21] = {
	{ name = "wall", arguments = {0, 0, 2600, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1200} },
	{ name = "wall", arguments = {1600, 1000, 1000, 1200} },
	{ name = "wall", arguments = {0, 2200, 2600, 1000} },
	{ name = "wall", arguments = {1000, 1000, 150, 200} },
	{ name = "wall", arguments = {1450, 1000, 150, 200} },
	{ name = "wall", arguments = {1000, 1200, 200, 100} },
	{ name = "wall", arguments = {1400, 1200, 200, 100} },
	{ name = "wall", arguments = {1000, 1900, 200, 100} },
	{ name = "wall", arguments = {1400, 1900, 200, 100} },
	{ name = "wall", arguments = {1000, 2000, 150, 200} },
	{ name = "wall", arguments = {1450, 2000, 150, 200} },
	{ name = "spark", arguments = {1300, 1950} },
	{ name = "spark", arguments = {1300, 1778} },
	{ name = "spark", arguments = {1300, 1423} },
	{ name = "spark", arguments = {1300, 1250} },
	{ name = "movecircle", arguments = { {
		{1000, 1900},
		{1000, 1300}
	}, 150, 10} },
	{ name = "movecircle", arguments = { {
		{1600, 1300},
		{1600, 1900}
	}, 150, 10} },
	{ name = "text", arguments = {text[21][1][1], 1300, 1600, text[21][1][2]} },
	{ name = "finish", arguments = {1300, 1100} },
	{ name = "player", arguments = {1300, 2100} }
}

levels[22] = {
	{ name = "wall", arguments = {0, 0, 4200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {3200, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 4200, 1000} },
	{ name = "wall", arguments = {1600, 1000, 200, 200} },
	{ name = "wall", arguments = {2400, 1000, 200, 200} },
	{ name = "wall", arguments = {1600, 1400, 200, 200} },
	{ name = "wall", arguments = {2400, 1400, 200, 200} },
	{ name = "wall", arguments = {1000, 1600, 200, 200} },
	{ name = "wall", arguments = {1400, 1600, 1400, 200} },
	{ name = "wall", arguments = {3000, 1600, 200, 200} },
	{ name = "wall", arguments = {2400, 1800, 200, 1000} },
	{ name = "wall", arguments = {1000, 2400, 200, 200} },
	{ name = "wall", arguments = {1400, 2400, 400, 200} },
	{ name = "wall", arguments = {2600, 2400, 200, 200} },
	{ name = "wall", arguments = {3000, 2400, 200, 200} },
	{ name = "wall", arguments = {1600, 2600, 200, 200} },
	{ name = "wall", arguments = {1600, 3000, 200, 200} },
	{ name = "wall", arguments = {2400, 3000, 200, 200} },
	{ name = "wall", arguments = {1000, 2600, 100, 100} },
	{ name = "wall", arguments = {1000, 3100, 100, 100} },
	{ name = "wall", arguments = {1500, 3100, 100, 100} },
	{ name = "wall", arguments = {1800, 1800, 100, 100} },
	{ name = "wall", arguments = {2300, 1800, 100, 100} },
	{ name = "wall", arguments = {1700, 2300, 100, 100} },
	{ name = "wall", arguments = {2300, 2300, 100, 100} },
	{ name = "wall", arguments = {1800, 2400, 100, 100} },
	{ name = "wall", arguments = {1500, 1500, 100, 100} },
	{ name = "wall", arguments = {1800, 1000, 100, 100} },
	{ name = "wall", arguments = {2300, 1000, 100, 100} },
	{ name = "wall", arguments = {3100, 1800, 100, 100} },
	{ name = "wall", arguments = {2600, 2300, 100, 100} },
	{ name = "wall", arguments = {3100, 3100, 100, 100} },
	{ name = "spark", arguments = {1300, 2500} },
	{ name = "spark", arguments = {1300, 2190} },
	{ name = "spark", arguments = {1300, 2100} },
	{ name = "spark", arguments = {1300, 2010} },
	{ name = "spark", arguments = {1700, 1300} },
	{ name = "spark", arguments = {2500, 1300} },
	{ name = "spark", arguments = {2900, 1300} },
	{ name = "spark", arguments = {2900, 1700} },
	{ name = "spark", arguments = {2900, 2500} },
	{ name = "spark", arguments = {2910, 2900} },
	{ name = "spark", arguments = {2190, 2900} },
	{ name = "spark", arguments = {2100, 2900} },
	{ name = "spark", arguments = {2010, 2900} },
	{ name = "spark", arguments = {1700, 2900} },
	{ name = "movecircle", arguments = { {
		{1200, 1600},
		{1000, 1600},
		{1000, 1000},
		{1600, 1000},
		{1600, 1200},
	}, 150, 5, "pong"} },
	{ name = "movecircle", arguments = { {
		{2600, 3000},
		{2600, 3200},
		{3200, 3200},
		{3200, 2600},
		{3000, 2600},
	}, 150, 5, "pong"} },
	{ name = "movecircle", arguments = { {
		{2600, 1200},
		{2600, 1000},
		{3200, 1000},
		{3200, 1600},
		{3000, 1600},
	}, 75, 5, "pong"} },
	{ name = "movecircle", arguments = { {
		{2800, 1600},
		{2600, 1600},
		{2600, 1400},
	}, 75, 5, "pong"} },
	{ name = "sizecircle", arguments = {1600, 2100, 100, 150, 150} },
	{ name = "sizecircle", arguments = {2100, 2600, 100, 150, 150} },
	{ name = "text", arguments = {text[22][1][1], 1940, 1420, text[22][1][2]} },
	{ name = "text", arguments = {text[22][2][1], 2100, 1420, text[22][2][2]} },
	{ name = "text", arguments = {text[22][3][1], 2260, 1420, text[22][3][2]} },
	{ name = "text", arguments = {text[22][4][1], 2900, 2420, text[22][4][2]} },
	{ name = "text", arguments = {text[22][5][1], 2900, 2260, text[22][5][2]} },
	{ name = "text", arguments = {text[22][6][1], 2900, 2100, text[22][6][2]} },
	{ name = "finish", arguments = {2100, 2100} },
	{ name = "player", arguments = {1300, 3100} }
}

levels[23] = {
	{ name = "wall", arguments = {0, 0, 3200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2200} },
	{ name = "wall", arguments = {2200, 1000, 1000, 2200} },
	{ name = "wall", arguments = {0, 3200, 3200, 1000} },
	{ name = "wall", arguments = {1600, 1600, 600, 850} },
	{ name = "wall", arguments = {1000, 1000, 100, 100} },
	{ name = "wall", arguments = {1600, 1150, 150, 300} },
	{ name = "wall", arguments = {2100, 1500, 100, 100} },
	{ name = "wall", arguments = {1200, 1600, 400, 150} },
	{ name = "wall", arguments = {1000, 1850, 400, 100} },
	{ name = "wall", arguments = {1200, 2050, 400, 100} },
	{ name = "wall", arguments = {1000, 2250, 400, 100} },
	{ name = "wall", arguments = {1200, 2450, 1000, 150} },
	{ name = "wall", arguments = {2100, 2600, 100, 100} },
	{ name = "wall", arguments = {1600, 2750, 150, 300} },
	{ name = "wall", arguments = {1000, 3100, 100, 100} },
	{ name = "spark", arguments = {1510, 1300} },
	{ name = "spark", arguments = {1408, 1300} },
	{ name = "spark", arguments = {1300, 1800} },
	{ name = "spark", arguments = {1300, 1800} },
	{ name = "spark", arguments = {1300, 2200} },
	{ name = "spark", arguments = {1300, 2400} },
	{ name = "spark", arguments = {1141, 2750} },
	{ name = "spark", arguments = {1218, 2900} },
	{ name = "spark", arguments = {1141, 3050} },
	{ name = "movecircle", arguments = { {
		{1600, 1150},
		{1750, 1150},
		{1750, 1450},
		{1600, 1450},
	}, 75, 5} },
	{ name = "movecircle", arguments = { {
		{1600, 3050},
		{1750, 3050},
		{1750, 2750},
		{1600, 2750},
	}, 75, 5} },
	{ name = "movecircle", arguments = { {
		{1200, 1600},
		{1600, 1600},
		{1600, 1750},
		{1200, 1750},
	}, 20, 2} },
	{ name = "movecircle", arguments = { {
		{1400, 1850},
		{1400, 1950},
		{1000, 1950},
		{1000, 1850},
	}, 20, 2} },
	{ name = "movecircle", arguments = { {
		{1200, 2050},
		{1600, 2050},
		{1600, 2150},
		{1200, 2150},
	}, 20, 2} },
	{ name = "movecircle", arguments = { {
		{1400, 2250},
		{1400, 2350},
		{1000, 2350},
		{1000, 2250},
	}, 20, 2} },
	{ name = "movecircle", arguments = { {
		{1200, 2450},
		{1600, 2450},
		{1600, 2600},
		{1200, 2600},
	}, 20, 2} },
	{ name = "text", arguments = {text[23][1][1], 1300, 1300, text[23][1][2]} },
	{ name = "text", arguments = {text[23][2][1], 1300, 2900, text[23][2][2]} },
	{ name = "finish", arguments = {1975, 2900} },
	{ name = "player", arguments = {1975, 1450} }
}

levels[24] = {
	{ name = "wall", arguments = {0, 0, 3400, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1400} },
	{ name = "wall", arguments = {2400, 1000, 1000, 1400} },
	{ name = "wall", arguments = {0, 2400, 3400, 1000} },
	{ name = "wall", arguments = {1600, 1000, 200, 250} },
	{ name = "wall", arguments = {1600, 1350, 200, 250} },
	{ name = "wall", arguments = {1000, 1600, 800, 800} },
	{ name = "wall", arguments = {1800, 1600, 250, 200} },
	{ name = "wall", arguments = {2150, 1600, 250, 200} },
	{ name = "spark", arguments = {1115, 1300} },
	{ name = "spark", arguments = {1207, 1300} },
	{ name = "spark", arguments = {1300, 1300} },
	{ name = "spark", arguments = {1392, 1300} },
	{ name = "spark", arguments = {1485, 1300} },
	{ name = "spark", arguments = {1925, 1300} },
	{ name = "spark", arguments = {2012, 1300} },
	{ name = "spark", arguments = {2100, 1300} },
	{ name = "spark", arguments = {2192, 1300} },
	{ name = "spark", arguments = {2285, 1300} },
	{ name = "sizecircle", arguments = {1800, 1600, 175, 200, 175} },
	{ name = "movecircle", arguments = { {
		{1600, 1000},
		{1000, 1000},
		{1000, 1600},
		{1600, 1600}
	}, 75, 10, "pong"} },
	{ name = "movecircle", arguments = { {
		{1800, 1000},
		{2400, 1000},
		{2400, 1600}
	}, 75, 15, "pong"} },
	{ name = "movecircle", arguments = { {
		{1800, 1800},
		{1800, 2400}
	}, 200, 5} },
	{ name = "movecircle", arguments = { {
		{2400, 2400},
		{2400, 1800}
	}, 200, 5} },
	{ name = "text", arguments = {text[24][1][1], 1625, 1300, text[24][1][2]} },
	{ name = "text", arguments = {text[24][2][1], 1700, 1300, text[24][2][2]} },
	{ name = "text", arguments = {text[24][3][1], 1775, 1300, text[24][3][2]} },
	{ name = "text", arguments = {text[24][4][1], 2100, 1620, text[24][4][2]} },
	{ name = "text", arguments = {text[24][5][1], 2100, 1780, text[24][5][2]} },
	{ name = "text", arguments = {text[24][6][1], 2100, 2250, text[24][6][2]} },
	{ name = "finish", arguments = {2100, 2100} },
	{ name = "player", arguments = {1300, 1540} }
}

levels[25] = {
	{ name = "wall", arguments = {0, 0, 3800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1200} },
	{ name = "wall", arguments = {2800, 1000, 1000, 1200} },
	{ name = "wall", arguments = {0, 2200, 3800, 1000} },
	{ name = "wall", arguments = {1000, 1450, 100, 500} },
	{ name = "wall", arguments = {1300, 1200, 400, 400} },
	{ name = "wall", arguments = {1300, 1600, 300, 600} },
	{ name = "wall", arguments = {1600, 2100, 100, 100} },
	{ name = "wall", arguments = {1800, 1700, 300, 200} },
	{ name = "wall", arguments = {1900, 1200, 200, 500} },
	{ name = "wall", arguments = {2100, 2100, 300, 100} },
	{ name = "wall", arguments = {2300, 1400, 300, 300} },
	{ name = "wall", arguments = {2700, 1000, 100, 100} },
	{ name = "wall", arguments = {2700, 2100, 100, 100} },
	{ name = "spark", arguments = {1200, 1832} },
	{ name = "spark", arguments = {1200, 1700} },
	{ name = "spark", arguments = {1200, 1568} },
	{ name = "spark", arguments = {1800, 1293} },
	{ name = "spark", arguments = {1800, 1400} },
	{ name = "spark", arguments = {1800, 1508} },
	{ name = "spark", arguments = {1700, 1800} },
	{ name = "spark", arguments = {2315, 1900} },
	{ name = "spark", arguments = {2450, 1900} },
	{ name = "spark", arguments = {2585, 1900} },
	{ name = "spark", arguments = {2315, 1100} },
	{ name = "spark", arguments = {2450, 1100} },
	{ name = "spark", arguments = {2585, 1100} },
	{ name = "sizecircle", arguments = {1100, 1100, 70, 75, 70} },
	{ name = "sizecircle", arguments = {1800, 1000, 70, 75, 70} },
	{ name = "sizecircle", arguments = {1815, 1800, 70, 75, 70} },
	{ name = "movecircle", arguments = { {
		{1100, 1450},
		{1100, 1950}
	}, 75, 10} },
	{ name = "movecircle", arguments = { {
		{1300, 1200},
		{1700, 1200}
	}, 75, 7} },
	{ name = "movecircle", arguments = { {
		{1600, 1600},
		{1600, 2100}
	}, 75, 7} },
	{ name = "movecircle", arguments = { {
		{1700, 2200},
		{2100, 2200}
	}, 75, 10} },
	{ name = "movecircle", arguments = { {
		{2700, 2200},
		{2400, 2200}
	}, 75, 10} },
	{ name = "movesizecircle", arguments = { {
		{2600, 1400, 125},
		{2300, 1400, 75},
		{2300, 1700, 75},
		{2600, 1700, 125},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{2300, 1700, 125},
		{2600, 1700, 75},
		{2600, 1400, 75},
		{2300, 1400, 125},
	}, 5} },
	{ name = "text", arguments = {text[25][1][1], 1500, 1100, text[25][1][2]} },
	{ name = "text", arguments = {text[25][2][1], 1900, 2080, text[25][2][2]} },
	{ name = "finish", arguments = {2000, 1100} },
	{ name = "player", arguments = {1200, 2120} }
}

levels[26] = {
	{ name = "wall", arguments = {0, 0, 4000, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2000} },
	{ name = "wall", arguments = {3000, 1000, 1000, 2000} },
	{ name = "wall", arguments = {0, 3000, 4000, 1000} },
	{ name = "wall", arguments = {1200, 1200, 1600, 200} },
	{ name = "wall", arguments = {1200, 1400, 200, 1200} },
	{ name = "wall", arguments = {2600, 1400, 200, 500} },
	{ name = "wall", arguments = {1600, 1600, 800, 200} },
	{ name = "wall", arguments = {1600, 1800, 200, 400} },
	{ name = "wall", arguments = {2200, 1800, 200, 100} },
	{ name = "wall", arguments = {2200, 1900, 600, 100} },
	{ name = "wall", arguments = {2200, 2100, 800, 100} },
	{ name = "wall", arguments = {1600, 2200, 800, 200} },
	{ name = "wall", arguments = {2600, 2300, 200, 300} },
	{ name = "wall", arguments = {1200, 2600, 1600, 200} },
	{ name = "spark", arguments = {2500, 1100} },
	{ name = "spark", arguments = {2000, 1100} },
	{ name = "spark", arguments = {1500, 1100} },
	{ name = "spark", arguments = {1100, 1500} },
	{ name = "spark", arguments = {1100, 2000} },
	{ name = "spark", arguments = {1100, 2500} },
	{ name = "spark", arguments = {1500, 2900} },
	{ name = "spark", arguments = {2000, 2900} },
	{ name = "spark", arguments = {2500, 2900} },
	{ name = "spark", arguments = {2900, 2500} },
	{ name = "spark", arguments = {2500, 2500} },
	{ name = "spark", arguments = {2000, 2500} },
	{ name = "spark", arguments = {1500, 2500} },
	{ name = "spark", arguments = {1500, 2000} },
	{ name = "spark", arguments = {1500, 1500} },
	{ name = "spark", arguments = {2000, 1500} },
	{ name = "movesizecircle", arguments = { {
		{1400, 1400, 175},
		{2600, 1400, 50},
	}, 7} },
	{ name = "movesizecircle", arguments = { {
		{2600, 2600, 175},
		{1400, 2600, 50},
	}, 7} },
	{ name = "movesizecircle", arguments = { {
		{3000, 3000, 175},
		{3000, 2200, 50},
	}, 7} },
	{ name = "movesizecircle", arguments = { {
		{2800, 2800, 50},
		{1200, 2800, 150},
		{1200, 1200, 50},
	}, 10, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{1000, 1000, 175},
		{3000, 1000, 50},
	}, 7, "pong"} },
	{ name = "text", arguments = {text[26][1][1], 2700, 2250, text[26][1][2]} },
	{ name = "text", arguments = {text[26][2][1], 2900, 1450, text[26][2][2]} },
	{ name = "text", arguments = {text[26][3][1], 2900, 1650, text[26][3][2]} },
	{ name = "text", arguments = {text[26][4][1], 2900, 1850, text[26][4][2]} },
	{ name = "finish", arguments = {2000, 2000} },
	{ name = "player", arguments = {2500, 1850} }
}

levels[27] = {
	{ name = "wall", arguments = {0, 0, 3800, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1600} },
	{ name = "wall", arguments = {2800, 1000, 1000, 1600} },
	{ name = "wall", arguments = {0, 2600, 3800, 1000} },
	{ name = "wall", arguments = {1000, 1300, 600, 1000} },
	{ name = "wall", arguments = {1800, 1300, 200, 1000} },
	{ name = "wall", arguments = {2200, 1300, 600, 1000} },
	{ name = "spark", arguments = {1132, 1150} },
	{ name = "spark", arguments = {1280, 1150} },
	{ name = "spark", arguments = {1428, 1150} },
	{ name = "spark", arguments = {2372, 1150} },
	{ name = "spark", arguments = {2520, 1150} },
	{ name = "spark", arguments = {2668, 1150} },
	{ name = "spark", arguments = {1132, 2450} },
	{ name = "spark", arguments = {1280, 2450} },
	{ name = "spark", arguments = {1428, 2450} },
	{ name = "spark", arguments = {2372, 2450} },
	{ name = "spark", arguments = {2520, 2450} },
	{ name = "spark", arguments = {2668, 2450} },
	{ name = "circle", arguments = {1900, 1800, 150} },
	{ name = "movesizecircle", arguments = { {
		{1000, 1300, 200},
		{1600, 1300, 100},
		{1600, 2300, 100},
		{1000, 2300, 200},
	}, 10, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{2800, 2300, 200},
		{2200, 2300, 100},
		{2200, 1300, 100},
		{2800, 1300, 200},
	}, 10, "pong"} },
	{ name = "text", arguments = {text[27][1][1], 1580, 2450, text[27][1][2]} },
	{ name = "text", arguments = {text[27][2][1], 2220, 2450, text[27][2][2]} },
	{ name = "finish", arguments = {1900, 1150} },
	{ name = "player", arguments = {1900, 2450} }
}

levels[28] = {
	{ name = "wall", arguments = {0, 0, 4200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 1600} },
	{ name = "wall", arguments = {3200, 1000, 1000, 1600} },
	{ name = "wall", arguments = {0, 2600, 4200, 1000} },
	{ name = "wall", arguments = {1000, 1000, 900, 400} },
	{ name = "wall", arguments = {1000, 1400, 1200, 200} },
	{ name = "wall", arguments = {1000, 1600, 300, 300} },
	{ name = "wall", arguments = {1000, 1900, 100, 100} },
	{ name = "wall", arguments = {1600, 1600, 600, 100} },
	{ name = "wall", arguments = {1700, 1700, 800, 200} },
	{ name = "wall", arguments = {2000, 1900, 200, 300} },
	{ name = "wall", arguments = {1000, 2300, 900, 300} },
	{ name = "wall", arguments = {1400, 2000, 200, 300} },
	{ name = "wall", arguments = {1300, 2200, 100, 100} },
	{ name = "wall", arguments = {2300, 2300, 900, 300} },
	{ name = "wall", arguments = {2600, 2000, 200, 300} },
	{ name = "wall", arguments = {2800, 2200, 100, 100} },
	{ name = "wall", arguments = {2300, 1000, 900, 300} },
	{ name = "wall", arguments = {2600, 1300, 600, 300} },
	{ name = "wall", arguments = {2900, 1600, 300, 300} },
	{ name = "wall", arguments = {3100, 1900, 100, 100} },
	{ name = "spark", arguments = {2460, 1560} },
	{ name = "spark", arguments = {2400, 1500} },
	{ name = "spark", arguments = {2340, 1440} },
	{ name = "spark", arguments = {2040, 1140} },
	{ name = "spark", arguments = {2160, 1140} },
	{ name = "spark", arguments = {1980, 1200} },
	{ name = "spark", arguments = {2100, 1200} },
	{ name = "spark", arguments = {2220, 1200} },
	{ name = "spark", arguments = {2040, 1260} },
	{ name = "spark", arguments = {2160, 1260} },
	{ name = "spark", arguments = {2460, 2040} },
	{ name = "spark", arguments = {2400, 2100} },
	{ name = "spark", arguments = {2340, 2160} },
	{ name = "spark", arguments = {1860, 2160} },
	{ name = "spark", arguments = {1800, 2100} },
	{ name = "spark", arguments = {1740, 2040} },
	{ name = "spark", arguments = {1560, 1860} },
	{ name = "spark", arguments = {1500, 1800} },
	{ name = "spark", arguments = {1440, 1860} },
	{ name = "circle", arguments = {2700, 1800, 75} },
	{ name = "sizecircle", arguments = {1300, 1600, 200, 250, 200} },
	{ name = "sizecircle", arguments = {2600, 2300, 150, 200, 200} },
	{ name = "movesizecircle", arguments = { {
		{2600, 1600, 50},
		{2900, 1600, 200},
		{2900, 1900, 50},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{2300, 1300, 50},
		{2600, 1300, 200},
		{2600, 1600, 50},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{2500, 1700, 50},
		{2200, 1700, 200},
		{2200, 1400, 50},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{2200, 2200, 50},
		{2200, 1900, 200},
		{2500, 1900, 50},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{1700, 1900, 50},
		{2000, 1900, 200},
		{2000, 2200, 50},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{1900, 2300, 50},
		{1600, 2300, 200},
		{1600, 2000, 50},
	}, 5, "pong"} },
	{ name = "text", arguments = {text[28][1][1], 2100, 2370, text[28][1][2]} },
	{ name = "text", arguments = {text[28][2][1], 2020, 2450, text[28][2][2]} },
	{ name = "text", arguments = {text[28][3][1], 2180, 2450, text[28][3][2]} },
	{ name = "finish", arguments = {1200, 2100} },
	{ name = "player", arguments = {3000, 2200} }
}

levels[29] = {
	{ name = "wall", arguments = {0, 0, 5900, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 2300} },
	{ name = "wall", arguments = {4900, 1000, 1000, 2300} },
	{ name = "wall", arguments = {0, 3300, 5900, 1000} },
	{ name = "wall", arguments = {1000, 1000, 800, 1300} },
	{ name = "wall", arguments = {2400, 1000, 2500, 300} },
	{ name = "wall", arguments = {2400, 1300, 200, 200} },
	{ name = "wall", arguments = {1800, 1500, 300, 100} },
	{ name = "wall", arguments = {1800, 1600, 2500, 300} },
	{ name = "wall", arguments = {2400, 2100, 2500, 300} },
	{ name = "wall", arguments = {2400, 2400, 200, 200} },
	{ name = "wall", arguments = {4300, 2400, 600, 300} },
	{ name = "wall", arguments = {2400, 2400, 200, 200} },
	{ name = "wall", arguments = {1700, 2500, 100, 600} },
	{ name = "wall", arguments = {1800, 2700, 3100, 200} },
	{ name = "wall", arguments = {2600, 2900, 2300, 400} },
	{ name = "disswall", arguments = {1000, 2300, 700, 1000} },
	{ name = "spark", arguments = {2752, 1540} },
	{ name = "spark", arguments = {3050, 1540} },
	{ name = "spark", arguments = {3348, 1540} },
	{ name = "spark", arguments = {3952, 1540} },
	{ name = "spark", arguments = {3783, 2000} },
	{ name = "spark", arguments = {3350, 2000} },
	{ name = "spark", arguments = {2918, 2000} },
	{ name = "spark", arguments = {2040, 2460} },
	{ name = "spark", arguments = {2100, 2400} },
	{ name = "spark", arguments = {2100, 2460} },
	{ name = "spark", arguments = {2160, 2460} },
	{ name = "spark", arguments = {2100, 2520} },
	{ name = "movesizecircle", arguments = { {
		{2600, 1300, 200},
		{4300, 1300, 200},
		{4900, 1300, 600},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{4300, 1900, 100},
		{2400, 1900, 100},
		{1800, 1900, 400},
	}, 5, "pong"} },
	{ name = "movesizecircle", arguments = { {
		{2400, 2100, 100},
		{4300, 2100, 100},
		{4900, 2100, 400},
	}, 5, "pong"} },
	{ name = "text", arguments = {text[29][1][1], 2250, 1150, text[29][1][2]} },
	{ name = "text", arguments = {text[29][2][1], 3650, 1540, text[29][2][2]} },
	{ name = "text", arguments = {text[29][3][1], 3650, 2640, text[29][3][2]} },
	{ name = "text", arguments = {text[29][4][1], 1990, 3100, text[29][4][2]} },
	{ name = "text", arguments = {text[29][5][1], 2200, 3100, text[29][5][2]} },
	{ name = "text", arguments = {text[29][6][1], 2410, 3100, text[29][6][2]} },
	{ name = "finish", arguments = {4100, 2550} },
	{ name = "player", arguments = {1950, 1420} }
}

levels[30] = {
	{ name = "wall", arguments = {0, 0, 6200, 1000} },
	{ name = "wall", arguments = {0, 1000, 1000, 4200} },
	{ name = "wall", arguments = {5200, 1000, 1000, 4200} },
	{ name = "wall", arguments = {0, 5200, 6200, 1000} },
	{ name = "wall", arguments = {1200, 1200, 200, 200} },
	{ name = "wall", arguments = {1600, 1200, 200, 200} },
	{ name = "wall", arguments = {2000, 1200, 200, 200} },
	{ name = "wall", arguments = {2400, 1200, 200, 200} },
	{ name = "wall", arguments = {2800, 1200, 200, 200} },
	{ name = "wall", arguments = {3200, 1200, 200, 200} },
	{ name = "wall", arguments = {3600, 1200, 200, 200} },
	{ name = "wall", arguments = {4000, 1200, 200, 200} },
	{ name = "wall", arguments = {4400, 1200, 200, 200} },
	{ name = "wall", arguments = {4800, 1200, 200, 200} },
	{ name = "wall", arguments = {1200, 1600, 200, 200} },
	{ name = "wall", arguments = {1600, 1600, 200, 200} },
	{ name = "wall", arguments = {2000, 1600, 200, 200} },
	{ name = "wall", arguments = {2400, 1600, 200, 200} },
	{ name = "wall", arguments = {2800, 1600, 200, 200} },
	{ name = "wall", arguments = {3200, 1600, 200, 200} },
	{ name = "wall", arguments = {3600, 1600, 200, 200} },
	{ name = "wall", arguments = {4000, 1600, 200, 200} },
	{ name = "wall", arguments = {4400, 1600, 200, 200} },
	{ name = "wall", arguments = {4800, 1600, 200, 200} },
	{ name = "wall", arguments = {1200, 2000, 200, 200} },
	{ name = "wall", arguments = {1600, 2000, 200, 200} },
	{ name = "wall", arguments = {2000, 2000, 200, 200} },
	{ name = "wall", arguments = {2400, 2000, 200, 200} },
	{ name = "wall", arguments = {2800, 2000, 200, 200} },
	{ name = "wall", arguments = {3200, 2000, 200, 200} },
	{ name = "wall", arguments = {3600, 2000, 200, 200} },
	{ name = "wall", arguments = {4000, 2000, 200, 200} },
	{ name = "wall", arguments = {4400, 2000, 200, 200} },
	{ name = "wall", arguments = {4800, 2000, 200, 200} },
	{ name = "wall", arguments = {1200, 2400, 200, 200} },
	{ name = "wall", arguments = {1600, 2400, 200, 200} },
	{ name = "wall", arguments = {2000, 2400, 200, 200} },
	{ name = "wall", arguments = {2400, 2400, 200, 200} },
	{ name = "wall", arguments = {2800, 2400, 200, 200} },
	{ name = "wall", arguments = {3200, 2400, 200, 200} },
	{ name = "wall", arguments = {3600, 2400, 200, 200} },
	{ name = "wall", arguments = {4000, 2400, 200, 200} },
	{ name = "wall", arguments = {4400, 2400, 200, 200} },
	{ name = "wall", arguments = {4800, 2400, 200, 200} },
	{ name = "wall", arguments = {1200, 2800, 200, 200} },
	{ name = "wall", arguments = {1600, 2800, 200, 200} },
	{ name = "wall", arguments = {2000, 2800, 200, 200} },
	{ name = "wall", arguments = {2400, 2800, 200, 200} },
	{ name = "wall", arguments = {2800, 2800, 200, 200} },
	{ name = "wall", arguments = {3200, 2800, 200, 200} },
	{ name = "wall", arguments = {3600, 2800, 200, 200} },
	{ name = "wall", arguments = {4000, 2800, 200, 200} },
	{ name = "wall", arguments = {4400, 2800, 200, 200} },
	{ name = "wall", arguments = {4800, 2800, 200, 200} },
	{ name = "wall", arguments = {1200, 3200, 200, 200} },
	{ name = "wall", arguments = {1600, 3200, 200, 200} },
	{ name = "wall", arguments = {2000, 3200, 200, 200} },
	{ name = "wall", arguments = {2400, 3200, 200, 200} },
	{ name = "wall", arguments = {2800, 3200, 200, 200} },
	{ name = "wall", arguments = {3200, 3200, 200, 200} },
	{ name = "wall", arguments = {3600, 3200, 200, 200} },
	{ name = "wall", arguments = {4000, 3200, 200, 200} },
	{ name = "wall", arguments = {4400, 3200, 200, 200} },
	{ name = "wall", arguments = {4800, 3200, 200, 200} },
	{ name = "wall", arguments = {1200, 3600, 200, 200} },
	{ name = "wall", arguments = {1600, 3600, 200, 200} },
	{ name = "wall", arguments = {2000, 3600, 200, 200} },
	{ name = "wall", arguments = {2400, 3600, 200, 200} },
	{ name = "wall", arguments = {2800, 3600, 200, 200} },
	{ name = "wall", arguments = {3200, 3600, 200, 200} },
	{ name = "wall", arguments = {3600, 3600, 200, 200} },
	{ name = "wall", arguments = {4000, 3600, 200, 200} },
	{ name = "wall", arguments = {4400, 3600, 200, 200} },
	{ name = "wall", arguments = {4800, 3600, 200, 200} },
	{ name = "wall", arguments = {1200, 4000, 200, 200} },
	{ name = "wall", arguments = {1600, 4000, 200, 200} },
	{ name = "wall", arguments = {2000, 4000, 200, 200} },
	{ name = "wall", arguments = {2400, 4000, 200, 200} },
	{ name = "wall", arguments = {2800, 4000, 200, 200} },
	{ name = "wall", arguments = {3200, 4000, 200, 200} },
	{ name = "wall", arguments = {3600, 4000, 200, 200} },
	{ name = "wall", arguments = {4000, 4000, 200, 200} },
	{ name = "wall", arguments = {4400, 4000, 200, 200} },
	{ name = "wall", arguments = {4800, 4000, 200, 200} },
	{ name = "wall", arguments = {1200, 4400, 200, 200} },
	{ name = "wall", arguments = {1600, 4400, 200, 200} },
	{ name = "wall", arguments = {2000, 4400, 200, 200} },
	{ name = "wall", arguments = {2400, 4400, 200, 200} },
	{ name = "wall", arguments = {2800, 4400, 200, 200} },
	{ name = "wall", arguments = {3200, 4400, 200, 200} },
	{ name = "wall", arguments = {3600, 4400, 200, 200} },
	{ name = "wall", arguments = {4000, 4400, 200, 200} },
	{ name = "wall", arguments = {4400, 4400, 200, 200} },
	{ name = "wall", arguments = {4800, 4400, 200, 200} },
	{ name = "wall", arguments = {1200, 4800, 200, 200} },
	{ name = "wall", arguments = {1600, 4800, 200, 200} },
	{ name = "wall", arguments = {2000, 4800, 200, 200} },
	{ name = "wall", arguments = {2400, 4800, 200, 200} },
	{ name = "wall", arguments = {2800, 4800, 200, 200} },
	{ name = "wall", arguments = {3200, 4800, 200, 200} },
	{ name = "wall", arguments = {3600, 4800, 200, 200} },
	{ name = "wall", arguments = {4000, 4800, 200, 200} },
	{ name = "wall", arguments = {4400, 4800, 200, 200} },
	{ name = "wall", arguments = {4800, 4800, 200, 200} },
	{ name = "spark", arguments = {2900, 1900} },
	{ name = "spark", arguments = {3100, 1900} },
	{ name = "spark", arguments = {3300, 1900} },
	{ name = "spark", arguments = {1300, 2300} },
	{ name = "spark", arguments = {1700, 2300} },
	{ name = "spark", arguments = {2900, 2300} },
	{ name = "spark", arguments = {3300, 2300} },
	{ name = "spark", arguments = {4500, 2300} },
	{ name = "spark", arguments = {4900, 2300} },
	{ name = "spark", arguments = {1300, 2700} },
	{ name = "spark", arguments = {1700, 2700} },
	{ name = "spark", arguments = {2900, 2700} },
	{ name = "spark", arguments = {3300, 2700} },
	{ name = "spark", arguments = {4500, 2700} },
	{ name = "spark", arguments = {4900, 2700} },
	{ name = "spark", arguments = {1300, 3100} },
	{ name = "spark", arguments = {1700, 3100} },
	{ name = "spark", arguments = {4500, 3100} },
	{ name = "spark", arguments = {4900, 3100} },
	{ name = "spark", arguments = {1300, 3500} },
	{ name = "spark", arguments = {1700, 3500} },
	{ name = "spark", arguments = {2900, 3500} },
	{ name = "spark", arguments = {3300, 3500} },
	{ name = "spark", arguments = {4500, 3500} },
	{ name = "spark", arguments = {4900, 3500} },
	{ name = "spark", arguments = {1300, 3900} },
	{ name = "spark", arguments = {1700, 3900} },
	{ name = "spark", arguments = {2900, 3900} },
	{ name = "spark", arguments = {3300, 3900} },
	{ name = "spark", arguments = {4500, 3900} },
	{ name = "spark", arguments = {4900, 3900} },
	{ name = "spark", arguments = {2100, 4700} },
	{ name = "spark", arguments = {2500, 4700} },
	{ name = "spark", arguments = {2900, 4700} },
	{ name = "spark", arguments = {3300, 4700} },
	{ name = "spark", arguments = {3700, 4700} },
	{ name = "spark", arguments = {4100, 4700} },
	{ name = "circle", arguments = {3100, 1300, 100} },
	{ name = "circle", arguments = {3100, 1700, 100} },
	{ name = "circle", arguments = {2900, 3100, 100} },
	{ name = "circle", arguments = {3300, 3100, 100} },
	{ name = "circle", arguments = {3100, 4500, 100} },
	{ name = "circle", arguments = {3100, 4900, 100} },
	{ name = "circle", arguments = {1700, 1500, 200} },
	{ name = "circle", arguments = {4500, 1500, 200} },
	{ name = "circle", arguments = {1700, 4700, 200} },
	{ name = "circle", arguments = {4500, 4700, 200} },
	{ name = "sizecircle", arguments = {1500, 2100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1500, 2500, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1500, 2900, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1500, 3300, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1500, 3700, 100, 150, 100} },
	{ name = "sizecircle", arguments = {1500, 4100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 2100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 2500, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 2900, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 3300, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 3700, 100, 150, 100} },
	{ name = "sizecircle", arguments = {4700, 4100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {2500, 2700, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3700, 2700, 100, 150, 100} },
	{ name = "sizecircle", arguments = {2500, 3500, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3700, 3500, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3100, 2100, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3100, 2500, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3100, 3700, 100, 150, 100} },
	{ name = "sizecircle", arguments = {3100, 4100, 100, 150, 100} },
	{ name = "movecircle", arguments = { {
		{1900, 2700},
		{2300, 2700},
		{2300, 3100},
		{1900, 3100},
		{1900, 3500},
		{2300, 3500},
		{2300, 3100},
		{1900, 3100}
	}, 100, 5} },
	{ name = "movecircle", arguments = { {
		{4300, 2700},
		{3900, 2700},
		{3900, 3100},
		{4300, 3100},
		{4300, 3500},
		{3900, 3500},
		{3900, 3100},
		{4300, 3100}
	}, 100, 5} },
	{ name = "movecircle", arguments = { {
		{1000, 1000},
		{5200, 1000},
		{5200, 5200},
		{1000, 5200}
	}, 200, 100} },
	{ name = "movecircle", arguments = { {
		{5200, 1000},
		{5200, 5200},
		{1000, 5200},
		{1000, 1000}
	}, 200, 100} },
	{ name = "movecircle", arguments = { {
		{5200, 5200},
		{1000, 5200},
		{1000, 1000},
		{5200, 1000}
	}, 200, 100} },
	{ name = "movecircle", arguments = { {
		{1000, 5200},
		{1000, 1000},
		{5200, 1000},
		{5200, 5200}
	}, 200, 100} },
	{ name = "movecircle", arguments = { {
		{1000, 1000},
		{5200, 1000},
		{5200, 5200},
		{1000, 5200}
	}, 150, 150} },
	{ name = "movecircle", arguments = { {
		{5200, 1000},
		{5200, 5200},
		{1000, 5200},
		{1000, 1000}
	}, 150, 150} },
	{ name = "movecircle", arguments = { {
		{5200, 5200},
		{1000, 5200},
		{1000, 1000},
		{5200, 1000}
	}, 150, 150} },
	{ name = "movecircle", arguments = { {
		{1000, 5200},
		{1000, 1000},
		{5200, 1000},
		{5200, 5200}
	}, 150, 150} },
	{ name = "movecircle", arguments = { {
		{1000, 1000},
		{5200, 1000},
		{5200, 5200},
		{1000, 5200}
	}, 100, 200} },
	{ name = "movecircle", arguments = { {
		{5200, 1000},
		{5200, 5200},
		{1000, 5200},
		{1000, 1000}
	}, 100, 200} },
	{ name = "movecircle", arguments = { {
		{5200, 5200},
		{1000, 5200},
		{1000, 1000},
		{5200, 1000}
	}, 100, 200} },
	{ name = "movecircle", arguments = { {
		{1000, 5200},
		{1000, 1000},
		{5200, 1000},
		{5200, 5200}
	}, 100, 200} },
	{ name = "movesizecircle", arguments = { {
		{2000, 2000, 125},
		{2200, 2000, 25},
		{2200, 2200, 125},
		{2000, 2200, 25},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{2600, 2000, 25},
		{2400, 2000, 125},
		{2400, 2200, 25},
		{2600, 2200, 125},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{3600, 2000, 125},
		{3800, 2000, 25},
		{3800, 2200, 125},
		{3600, 2200, 25},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{4200, 2000, 25},
		{4000, 2000, 125},
		{4000, 2200, 25},
		{4200, 2200, 125},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{2000, 4000, 125},
		{2200, 4000, 25},
		{2200, 4200, 125},
		{2000, 4200, 25},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{2600, 4000, 25},
		{2400, 4000, 125},
		{2400, 4200, 25},
		{2600, 4200, 125},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{3600, 4000, 125},
		{3800, 4000, 25},
		{3800, 4200, 125},
		{3600, 4200, 25},
	}, 5} },
	{ name = "movesizecircle", arguments = { {
		{4200, 4000, 25},
		{4000, 4000, 125},
		{4000, 4200, 25},
		{4200, 4200, 125},
	}, 5} },
	{ name = "text", arguments = {text[30][1][1], 1500, 1900, text[30][1][2]} },
	{ name = "text", arguments = {text[30][2][1], 4700, 1900, text[30][2][2]} },
	{ name = "text", arguments = {text[30][3][1], 2700, 2500, text[30][3][2]} },
	{ name = "text", arguments = {text[30][4][1], 2700, 2900, text[30][4][2]} },
	{ name = "text", arguments = {text[30][5][1], 2700, 3300, text[30][5][2]} },
	{ name = "text", arguments = {text[30][6][1], 2700, 3700, text[30][6][2]} },
	{ name = "text", arguments = {text[30][7][1], 3500, 2500, text[30][7][2]} },
	{ name = "text", arguments = {text[30][8][1], 3500, 2900, text[30][8][2]} },
	{ name = "text", arguments = {text[30][9][1], 3500, 3300, text[30][9][2]} },
	{ name = "text", arguments = {text[30][10][1], 3500, 3700, text[30][10][2]} },
	{ name = "finish", arguments = {3100, 1500} },
	{ name = "player", arguments = {3100, 3300} }
}
